:root {
  --global-font-size: 15px;
  --global-line-height: 1.4em;
  --global-space: 10px;
  --font-stack: Menlo, Monaco, Lucida Console, Liberation Mono,
    DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, monospace,
    serif;
  --mono-font-stack: Menlo, Monaco, Lucida Console, Liberation Mono,
    DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, monospace,
    serif;
  --background-color: #222225;
  --page-width: 60em;
  --font-color: #e8e9ed;
  --invert-font-color: #222225;
  --secondary-color: #a3abba;
  --tertiary-color: #a3abba;
  --primary-color: #cccc00;
  --error-color: #ff3c74;
  --progress-bar-background: #3f3f44;
  --progress-bar-fill: #62c4ff;
  --code-bg-color: #10101a;
  --code-border-color: #333340;
  --border-color: #666666;
  --input-style: solid;
  --display-h1-decoration: none;
}

body {
  background: var(--background-color);
  font-family: var(--font-stack);
  color: var(--font-color);
  font-style: normal;
  font-size: var(--global-font-size);
  min-width: 60em;
}

main {
  display: block;
}

pre,
code {
  font-family: "Source Code Pro", monospace;
}

header,
main {
  -webkit-text-size-adjust: none;
}

a {
  outline: 0;
  text-decoration: none;
  color: var(--primary-color);
}

a:hover,
a:focus {
  background-color: var(--primary-color);
  color: var(--invert-font-color);
}

input[type="submit"] {
  background: transparent;
  border: 0;
  font-family: inherit;
  font-size: inherit;
  margin: 0;
  padding: 0;
  color: var(--primary-color);
  cursor: pointer;
}

input[type="submit"]:hover,
input[type="submit"]:focus {
  background-color: var(--primary-color);
  color: var(--invert-font-color);
}

h1,
h2 {
  font-size: 1.1em;
}

code {
  position: relative;
  display: inline-block;
  margin: 0;
  padding: 5px;
}

code:before {
  z-index: -1;
  content: "";
  position: absolute;
  display: block;
  left: 0px;
  right: 0px;
  top: 0px;
  bottom: 0px;
  border: 1px solid var(--code-border-color);
  background: var(--code-bg-color);
}

.warning-active {
  color: var(--error-color);
  opacity: 1;
}

header {
  white-space: nowrap;
  cursor: default;
  z-index: 100;
  margin-bottom: 2em;
}

header h1 {
  display: inline-block;
  margin: 0;
  padding-right: 1em;
  font-size: large;
  font-weight: normal;
}

header h1 a,
header h1 span {
  display: inline-block;
  text-decoration: none;
  color: var(--primary-color);
}

header h1.title-event .title-event-wrap {
  opacity: .33;
  white-space: pre;
}

header .user {
  display: inline-block;
  padding-left: 1em;
  position: absolute;
  right: 20px;
}

header nav {
  display: inline-block;
}

header nav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: inline-block;
}

header nav li {
  display: inline-block;
  padding: 0 .6em;
}

header nav a {
  display: inline-block;
  text-decoration: none;
  outline: none;
}

input[type="text"] {
  background: transparent;
  color: inherit;
  border: 1px solid var(--border-color);
  background: var(--background-color);
  padding: 0 2px;
  font-family: inherit;
  font-size: inherit;
  margin: 0;
}

*::-moz-focus-inner {
  padding: 0;
  border: 0
}

.success {
  color: var(--primary-color);
  text-shadow: 0 0 5px var(--primary-color);
}

input[type=file]::file-selector-button{
  background-color: var(--code-bg-color);
  border: 1px solid var(--border-color);
  color: var(--font-color);
}

form {
  display: block;
  padding: 1em;
  border: 1px solid var(--border-color);
  margin-bottom: 1em;
  width: 40%;
}

article {
  width: 70em;
  margin-bottom: 2em;
  margin-top: 2em;
}

article:first-of-type {
  margin-top: 0;
}

article ul {
  list-style-type: none;
  padding: 0;
}

article ul li:before {
  content: ">> ";
  color: var(--primary-color);
}

em {
  font-weight: bold;
}

.form-container{
  display: flex;
  padding: 10px;
  border-bottom: 1px solid var(--border-color);
}

label{
  width: 100px;
}

th, td {
  padding-right: 20px;
}
